ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROVISION_AGREEMENT_ARTEFACT FOREIGN KEY(PA_ID)
REFERENCES ARTEFACT (ART_ID)
ON DELETE CASCADE
;
ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROVISION_AGREEMENT_STRUCTURE_USAGE FOREIGN KEY(SU_ID)
REFERENCES STRUCTURE_USAGE (SU_ID)
;
ALTER TABLE PROVISION_AGREEMENT  ADD  CONSTRAINT FK_PROVISION_AGREEMENT_DATAPROVIDER FOREIGN KEY(DP_ID)
REFERENCES DATAPROVIDER (DP_ID)
;
